# $Revision: 1.49 $, $Date: 2011/08/19 04:50:22 $
#
# TODO: fix build with lua. Now when lua enabled conky requires tolua++-devel when installing
#
# Conditional build:
%bcond_with	lua_cairo	# without lua cairo bindings
%bcond_with	lua_imlib2	# without lua imlib2 bindings
#
Summary:	A light-weight system monitor
Summary(pl.UTF-8):	Monitor systemu dla środowiska graficznego
Name:		conky
Version:	1.8.1
Release:	3
License:	Distributable (see COPYING doc)
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/conky/%{name}-%{version}.tar.bz2
# Source0-md5:	366dc6a5c2ebebfbe6f53da25061b5d6
URL:		http://conky.sourceforge.net/
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_lua_cairo:BuildRequires:	cairo-devel}
BuildRequires:	curl-devel
BuildRequires:	expat-devel
BuildRequires:	freetype-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	imlib2-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	lua51-devel >= 5.1
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel
%if %{with lua_cairo} || %{with lua_imlib2}
BuildRequires:	tolua++-devel >= 1.0.90
%endif
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Conky is a light-weight system monitor based on the torsmo code. Conky
can display arbitrary information (such as the date, CPU temperature
from i2c, MPD info, and anything else you desire) to the root window
in X11.

%description -l pl.UTF-8
Conky jest niewielkim monitorem systemu opartym na kodzie torsmo. Może
wyświetlać takie informacje, jak:
- data
- temperatura CPU
- ilość miejsca na dysku itp.

%package lua-cairo
Summary:	Lua Cairo bindings for Conky
Summary(pl.UTF-8):	Dowiązania Lua Cairo dla Conky
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description lua-cairo
Lua Cairo bindings for Conky.

%description lua-cairo -l pl.UTF-8
Dowiązania Lua Cairo dla Conky.

%package lua-imlib2
Summary:	Lua Imlib2 bindings for Conky
Summary(pl.UTF-8):	Dowiązania Lua Imlib2 dla Conky
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description lua-imlib2
Lua Imlib2 bindings for Conky.

%description lua-imlib2 -l pl.UTF-8
Dowiązania Lua Imlib2 dla Conky.

%prep
%setup -q
%{__sed} -i 's,lua5.1,lua51,' configure.ac

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	CFLAGS="%{rpmcflags} `pkg-config ncurses --cflags`" \
	LIBS="-ltinfo" \
	--enable-curl \
	--enable-imlib2 \
	--enable-weather-xoap \
	--enable-wlan \
	--enable-rss \
	%{?with_lua_cairo:--enable-lua-cairo} \
	%{?with_lua_imlib2:--enable-lua-imlib2}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# COPYING must be added (see COPYING file)
%doc AUTHORS ChangeLog COPYING README TODO
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_sysconfdir}/conky
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conky/%{name}.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conky/%{name}_no_x11.conf
%dir %{_libdir}/conky
%{_mandir}/man1/%{name}.1*

%if %{with lua_cairo}
%files lua-cairo
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/conky/libcairo.so.*.*.*
%{_libdir}/conky/libcairo.so
%endif

%if %{with lua_imlib2}
%files lua-imlib2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/conky/libimlib2.so.*.*.*
%{_libdir}/conky/libimlib2.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: conky.spec,v $
Revision 1.49  2011/08/19 04:50:22  uzsolt
- enable-wlan and enable-rss passed to configure (I think there are commonly used)
- rel up

Revision 1.48  2011/01/30 15:49:59  sparky
- BR: libxml2-devel

Revision 1.47  2010/11/17 10:39:03  lisu
- release 2

Revision 1.46  2010/11/15 09:41:20  lisu
- lua bindings disabled by default unless TODO is is done

Revision 1.45  2010/11/09 13:24:08  lisu
- BR: sqlite3-devel

Revision 1.44  2010/11/09 13:20:31  lisu
- enable weather support (XOAP and METAR)

Revision 1.43  2010/11/09 13:09:14  lisu
- lua_imlib2 bcond

Revision 1.42  2010/11/09 12:24:54  sparky
- enabled curl and imlib2
- BR: alsa-lib-devel, curl-devel, imlib2-devel

Revision 1.41  2010/11/09 09:59:43  lisu
- do not package ghost
- R for lua-cairo

Revision 1.40  2010/11/09 09:36:47  lisu
- BR: tolua++-devel will install tolua++ as well

Revision 1.39  2010/11/09 09:20:14  lisu
- separate package for lua cairo bindings
- tolua++ binary is required to proper build

Revision 1.38  2010/11/08 19:19:45  lisu
- BR: cairo-devel when building with lua_cairo

Revision 1.37  2010/11/08 15:52:31  lisu
- package libcairo.so plugin
- TODO

Revision 1.36  2010/11/08 15:24:06  lisu
- cosmetics

Revision 1.35  2010/11/08 14:45:05  lisu
- s/tolua++-libs/tolua++-devel
- rel 3

Revision 1.34  2010/11/08 14:25:21  lisu
- add lua_cairo bcond which enables lua cairo bindings for conky
- release 2

Revision 1.33  2010/10/13 09:20:23  lisu
- don't drop our cflags

Revision 1.32  2010/10/13 07:50:03  lisu
- up to 1.8.1
- drop obsolete -ncurses.patch
- add -I/usr/include/ncurses to CFLAGS
- link with -ltinfo

Revision 1.31  2010/04/09 08:33:23  duddits
- up to 1.8.0
- ncurses.patch, BR: ncurses-devel
- %files

Revision 1.30  2009/09/19 17:55:47  hawk
- fixed %dir %{_sysconfdir}/conky

Revision 1.29  2009/08/27 21:21:19  wrobell
- ver. 1.7.2
- removed config dir patch; there are multiple configuration files
  distributed, so /etc/conky/ directory makes sense

Revision 1.28  2009/06/16 08:48:37  lisu
- version in lua51-devel BR
- sort BRs

Revision 1.27  2009/06/16 08:46:43  lisu
- up to 1.7.1.1
- search for lua51 instead of lua5.1 (BRs: sed, lua51-devel)

Revision 1.26  2009/05/11 19:33:01  duddits
- up to 1.7.0

Revision 1.25  2008/09/21 09:21:30  duddits
- up to 1.6.1
- patch updated

Revision 1.24  2008/09/10 15:05:19  qboosh
- reverted, no single word about readline in sources; wrong pcre/glib2 build?
- BR: glib2-devel, pkgconfig

Revision 1.23  2008/09/10 07:15:56  spider
- missing br: readline-devel

Revision 1.22  2008/06/22 23:36:56  charles
- BR: gettext-devel, pkgconfig, xorg-lib-libXdamage-devel

Revision 1.21  2008/06/18 20:14:51  qboosh
- BR: libtool

Revision 1.20  2008/06/18 20:13:22  gzohop
- libtool

Revision 1.19  2008/04/14 17:35:13  lisu
- 1.5.1
- -headers.patch is obsolete

Revision 1.18  2008-03-30 19:05:17  lisu
- up to 1.5.0
- fix problem with redefinition of struct (-headers.patch)
- no sample config file in this version

Revision 1.17  2007-11-29 22:51:44  lisu
- use auto tools

Revision 1.16  2007-11-29 22:30:11  lisu
- up to 1.4.9
- add conf file
- patching for proper /etc path for conf file

Revision 1.15  2007-10-23 17:09:09  lisu
- 1.4.8

Revision 1.14  2007/09/01 22:08:18  lisu
- 1.4.7

Revision 1.13  2007/08/12 14:40:44  lisu
- 1.4.6

Revision 1.12  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.10  2006/12/14 20:16:33  lisu
- 1.4.5

Revision 1.9  2006/11/18 11:47:01  lisu
- up to 1.4.4
- License is distributable
- COPYING file added (it's needed)

Revision 1.8  2006/05/19 07:30:55  darekr
- updated to 1.4.2

Revision 1.7  2006/04/04 19:01:01  megabajt
- modular xorg deps
- added conkyrc.sample to %doc

Revision 1.6  2006/03/27 11:22:48  spider
- typo fix

Revision 1.5  2006/03/27 11:18:19  spider
- up to 1.4.1
- changes by <kermit1715 at wp.pl>

Revision 1.4  2006/03/02 12:59:33  darekr
- updated to 1.4.0; removed NEWS file (empty)

Revision 1.3  2006/01/04 21:49:29  qboosh
- updated to 1.3.5, added missing md5, removed COPYING from doc (just GPL)
  (changes by <kermit1715 at wp.pl>

Revision 1.2  2006/01/03 17:32:40  qboosh
- added URL, typos

Revision 1.1  2005/12/31 01:05:44  undefine
- initital, by kermit1715@wp.pl
